diff --git a/web/regression/feature_utils/pgadmin_page.py b/web/regression/feature_utils/pgadmin_page.py
index c44f62358..e648bc625 100644
--- a/web/regression/feature_utils/pgadmin_page.py
+++ b/web/regression/feature_utils/pgadmin_page.py
@@ -749,76 +847,7 @@ class PgadminPage:
             else:
                 node_expanded = True
 
-    def check_server_is_connected(self, index_of_server):
-        """This will check connected status of a server, as connection
-        status is contained either in span or div element so checking it"""
-        server_connected = False
-        try:
-            connection_status_elements = self.find_by_xpath_list(
-                TreeAreaLocators.server_group_sub_nodes_connected_status)
-            span_elements = connection_status_elements[
-                index_of_server].find_elements_by_tag_name("span")
-            div_elements = connection_status_elements[
-                index_of_server].find_elements_by_tag_name("div")
-
-            span_value_of_class_att = ""
-            div_value_of_class_att = ""
-
-            if len(span_elements) > 0:
-                span_value_of_class_att = \
-                    span_elements[0].get_attribute('class')
-            if len(div_elements) > 0:
-                div_value_of_class_att = \
-                    div_elements[0].get_attribute('class')
-            if (("aciTreeIcon icon-pg" in span_value_of_class_att or
-                 "aciTreeIcon icon-pg" in div_value_of_class_att or
-                 "aciTreeIcon icon-ppas" in
-                 span_value_of_class_att or
-                 "aciTreeIcon icon-ppas" in div_value_of_class_att) and
-                    ("aciTreeIcon icon-server-not-connected" not in
-                        span_value_of_class_att or
-                        "aciTreeIcon icon-server-not-connected" not in
-                        div_value_of_class_att)):
-                server_connected = True
-        except Exception as e:
-            print("There is some exception thrown in the function "
-                  "check_server_is_connected and is: " + str(e),
-                  file=sys.stderr)
-        return server_connected
-
-    def click_and_connect_server(self, server_element, password):
-        """will connect a server node, will provide the password in the
-        respective window"""
-        server_connection_status = False
-        try:
-            webdriver.ActionChains(self.driver).double_click(
-                server_element).perform()
-            if self.check_if_element_exist_by_xpath(
-                    ConnectToServerDiv.ok_button):
-                field = self.find_by_xpath(
-                    ConnectToServerDiv.password_field)
-                self.fill_input(field, password)
-                self.find_by_xpath(ConnectToServerDiv.ok_button).click()
-                self.wait_for_element_to_disappear(
-                    lambda driver: driver.find_element_by_xpath(
-                        ConnectToServerDiv.ok_button))
-                if self.check_if_element_exist_by_xpath(
-                        ConnectToServerDiv.error_message, 2):
-                    print(
-                        "While entering password in click_and_connect_server "
-                        "function, error is occurred : " + str(
-                            self.find_by_xpath(
-                                ConnectToServerDiv.error_message).text),
-                        file=sys.stderr)
-                else:
-                    server_connection_status = True
-        except Exception as e:
-            print(
-                "There is some exception thrown click_and_connect_server "
-                "and is: " + str(
-                    e), file=sys.stderr)
-        return server_connection_status
-
+    # TODO Not used any where to be removed
     def get_expansion_status_of_node(self, xpath_node):
         """get the expansion status for a node through xpath"""
         node_is_expanded = False
@@ -827,6 +856,7 @@ class PgadminPage:
             node_is_expanded = True
         return node_is_expanded
 
+    # TODO Not used any where to be removed
     def get_expansion_status_of_node_element(self, element):
         """get the expansion status for an element"""
         node_is_expanded = False
@@ -840,6 +870,7 @@ class PgadminPage:
                     e), file=sys.stderr)
         return node_is_expanded
 
+    # TODO Not used any where to be removed
     def toggle_open_tree_item(self, tree_item_text):
         # 'sleep' here helps in cases where underlying nodes are auto opened.
         # Otherwise, encountered situations where False value is returned
@@ -868,6 +899,7 @@ class PgadminPage:
             except TimeoutException:
                 retry -= 1
 
+    # TODO Not used any where to be removed
     def toggle_open_server(self, tree_item_text):
         def check_for_password_dialog_or_tree_open(driver):
             try:
@@ -896,17 +928,17 @@ class PgadminPage:
 
     def find_by_xpath(self, xpath):
         return self.wait_for_element(
-            lambda driver: driver.find_element_by_xpath(xpath)
+            lambda driver: driver.find_element(By.XPATH, xpath)
         )
 
     def find_by_id(self, element_id):
         return self.wait_for_element(
-            lambda driver: driver.find_element_by_id(element_id)
+            lambda driver: driver.find_element(By.ID, element_id)
         )
 
     def find_by_css_selector(self, css_selector):
         return self.wait_for_element(
-            lambda driver: driver.find_element_by_css_selector(css_selector)
+            lambda driver: driver.find_element(By.CSS_SELECTOR, css_selector)
         )
 
     def find_by_partial_link_text(self, link_text):
@@ -1005,7 +1037,7 @@ class PgadminPage:
         def find_codemirror(driver):
             try:
                 driver.switch_to.default_content()
-                driver.switch_to_frame(
+                driver.switch_to.frame(
                     driver.find_element_by_tag_name("iframe"))
                 element = driver.find_element_by_css_selector(
                     "#output-panel .CodeMirror")
@@ -1013,6 +1045,7 @@ class PgadminPage:
                     return element
             except (NoSuchElementException, WebDriverException):
                 return False
+
         time.sleep(1)
         self.wait_for_query_tool_loading_indicator_to_disappear(12)
 
@@ -1133,7 +1166,7 @@ class PgadminPage:
     def wait_for_spinner_to_disappear(self):
         def spinner_has_disappeared(driver):
             try:
-                driver.find_element_by_id("pg-spinner")
+                driver.find_element(By.ID, "pg-spinner")
                 return False
             except NoSuchElementException:
                 return True
@@ -1145,9 +1178,9 @@ class PgadminPage:
             try:
                 # Refer the status message as spinner appears only on the
                 # the data output panel
-                spinner = driver.find_element_by_css_selector(
-                    ".sql-editor .sql-editor-busy-text-status"
-                )
+                spinner = driver.find_element(
+                    By.CSS_SELECTOR,
+                    ".sql-editor .sql-editor-busy-text-status")
                 return "d-none" in spinner.get_attribute("class")
             except NoSuchElementException:
                 # wait for loading indicator disappear animation to complete.
@@ -1195,8 +1228,8 @@ class PgadminPage:
         def element_if_it_exists(driver):
             try:
                 element = find_method_with_args(driver)
-                if len(element) > 0 and element[0].is_displayed() and element[
-                        0].is_enabled():
+                if len(element) > 0 and element[0].is_displayed() and \
+                        element[0].is_enabled():
                     return element
             except NoSuchElementException:
                 return False
@@ -1209,18 +1242,66 @@ class PgadminPage:
         elements_located_status = False
         try:
             if WebDriverWait(driver, time_value).until(
-                    EC.visibility_of_any_elements_located((
-                        By.XPATH, locator))):
+                EC.visibility_of_any_elements_located((
+                    By.XPATH, locator))):
                 elements_located_status = True
         except Exception:
             pass
         return elements_located_status
 
+    def check_if_element_exists_with_scroll(self, xpath):
+        f_scroll, r_scroll = 111, 111
+        while f_scroll > 0 or r_scroll > 0:
+            try:
+                ele = WebDriverWait(self.driver, 1, 0.01).until(
+                    lambda d: d.find_element(By.XPATH, xpath))
+                f_scroll, r_scroll = 0, 0
+                return ele
+            except (TimeoutException, NoSuchElementException) as e:
+                tree_height = int((self.driver.find_element(
+                    By.XPATH, "//div[@class='file-tree']/div[1]/div/div").
+                    value_of_css_property('height')).split("px")[0])
+
+                if f_scroll == 111 and r_scroll == 111:
+                    window_size = int(self.driver.get_window_size()["height"])
+                    f_scroll = r_scroll = (tree_height / window_size + 1)
+
+                if f_scroll > 0:
+                    bottom_ele = self.driver.find_element(
+                        By.XPATH,
+                        "//div[@id='tree']/div/div/div/div/div[last()]")
+                    bottom_ele_location = int(
+                        bottom_ele.value_of_css_property('top').split("px")[0])
+
+                    if tree_height - bottom_ele_location < 25:
+                        f_scroll = 0
+                    else:
+                        self.driver.execute_script(
+                            self.js_executor_scrollintoview_arg, bottom_ele)
+                        f_scroll -= 1
+                elif r_scroll > 0:
+                    top_el = self.driver.find_element(
+                        By.XPATH,
+                        "//div[@id='tree']/div/div/div/div/div[1]")
+                    top_el_location = int(
+                        top_el.value_of_css_property('top').split("px")[0])
+
+                    if (tree_height - top_el_location) == tree_height:
+                        r_scroll = 0
+                    else:
+                        webdriver.ActionChains(self.driver).move_to_element(
+                            top_el).perform()
+                        r_scroll -= 1
+        else:
+            print("check_if_element_exists_with_scroll > Element NOT found")
+            return False
+
     def find_by_xpath_list(self, xpath):
         """This will find out list of elements through a single xpath"""
         return self.wait_for_elements(
-            lambda driver: driver.find_elements_by_xpath(xpath))
+            lambda driver: driver.find_elements(By.XPATH, xpath))
 
+    # TODO Not used any where to be removed
     def get_index_of_element(self, element_list, target_string):
         """it will return index of an element from provided element list"""
         index_of_required_server = -1
diff --git a/web/regression/feature_utils/tree_area_locators.py b/web/regression/feature_utils/tree_area_locators.py
index d6968e77b..f0e8f0b39 100644
--- a/web/regression/feature_utils/tree_area_locators.py
+++ b/web/regression/feature_utils/tree_area_locators.py
@@ -11,126 +11,260 @@ class TreeAreaLocators():
     """This will contains element locators for tree area, will also contain
     parametrized xpath where applicable"""
 
-    server_group_node = \
-        "//div[@id='tree']//span[@class='aciTreeItem']" \
-        "/span[(@class='aciTreeText') and starts-with(text(),'Servers ') or " \
-        "starts-with(text(), 'Servers')]"
+    # Server Group Node
+    @staticmethod
+    def server_group_node(server_group_name):
+        return "//span[starts-with(text(),'%s')]" % server_group_name
 
-    server_group_node_exp_status = "//div[div[span[span[" \
-                                   "(@class='aciTreeText') and " \
-                                   "(text()='Servers ' or " \
-                                   "text()='Servers')]]]]"
+    @staticmethod
+    def server_group_node_exp_status(server_group_name):
+        return "//i[@class='directory-toggle open']/following-sibling::" \
+               "span//span[starts-with(text(),'%s')]" % server_group_name
 
-    server_group_sub_nodes = \
-        "//div[div[span[span[contains(text(),'Servers')]]]]/" \
-        "following-sibling::ul/li/div/div/div/span[2]/" \
-        "span[@class='aciTreeText']"
+    # Server Node
+    @staticmethod
+    def server_node(server_name):
+        return "//div[@id='tree']//span[starts-with(text(),'%s')]" \
+               % server_name
 
-    server_group_sub_nodes_exp_status = \
-        "//div[div[span[span[contains(text(),'Servers')]]]]" \
-        "/following-sibling::ul/li/div"
+    @staticmethod
+    def server_node_exp_status(server_name):
+        return "//i[@class='directory-toggle open']/following-sibling::" \
+               "span//span[starts-with(text(),'%s')]" % server_name
 
-    server_group_sub_nodes_connected_status = \
-        "//div[div[span[span[contains(text(), 'Servers')]]]]/" \
-        "following-sibling::ul/li/div/div/div/span[2]"
+    # Server Connection
+    @staticmethod
+    def server_connection_status_element(server_name):
+        return "//div[@id='tree']//span[starts-with(text(),'%s')]/" \
+               "preceding-sibling::i" % server_name
 
-    specified_tree_node = \
-        "//div[@id='tree']//span[@class='aciTreeItem']/" \
-        "span[(@class='aciTreeText') and text()='{}']"
+    # Databases Node
+    @staticmethod
+    def databases_node(server_name):
+        return "//div[div[span[span[starts-with(text(),'%s')]]]]/" \
+               "following-sibling::div//span[text()='Databases']" % server_name
 
-    specified_tree_node_exp_status = \
-        "//div[@id='tree']//span[@class='aciTreeItem']/" \
-        "span[(@class='aciTreeText') and text()='{}']" \
-        "//ancestor::*[@class='aciTreeLine']"
+    @staticmethod
+    def databases_node_exp_status(server_name):
+        return "//div[div[span[span[starts-with(text(),'%s')]]]]/" \
+               "following-sibling::div//span[span[text()='Databases']]/" \
+               "preceding-sibling::i[@class='directory-toggle open']" \
+               % server_name
 
-    sub_nodes_of_tables_node = \
-        "//div[div[div[div[div[div[div[div[span[span[" \
-        "contains(text(),'Tables')]]]]]]]]]]/" \
-        "following-sibling::ul/li/div//div/span[2]/span[2]"
+    # Database Node
+    @staticmethod
+    def database_node(database_name):
+        return "//div[@data-depth='4']/span/span[text()='%s']" % database_name
 
-    sub_nodes_of_functions_node = \
-        "//div[div[div[div[div[div[div[div[span[span[" \
-        "contains(text(),'Functions')]]]]]]]]]]/" \
-        "following-sibling::ul/li/div//div/span[2]/span[2]"
+    @staticmethod
+    def database_node_exp_status(database_name):
+        return "//i[@class='directory-toggle open']/following-sibling::" \
+               "span//span[text()='%s']" % database_name
 
-    sub_nodes_of_login_group_node = \
-        "//div[div[div[span[span[contains(text(),'Login/Group Roles')]]]]]" \
-        "/following::ul/li/div[@class='aciTreeLine']"
+    # Schemas Node
+    @staticmethod
+    def schemas_node(database_name):
+        return "//div[div[span[span[starts-with(text(),'%s')]]]]/" \
+               "following-sibling::div//span[text()='Schemas']" % database_name
 
     @staticmethod
-    def sub_nodes_of_a_server_node(server_name):
-        xpath = "//div[div[div[span[span[contains(text(),'%s')]]]]]/" \
-                "following-sibling::ul/li/div[@class='aciTreeLine']" % \
-                server_name
-        return xpath
+    def schemas_node_exp_status(database_name):
+        return "//div[div[span[span[starts-with(text(),'%s')]]]]/" \
+               "following-sibling::div//span[span[text()='Schemas']]/" \
+               "preceding-sibling::i[@class='directory-toggle open']" \
+               % database_name
 
+    # Schema Node
     @staticmethod
-    def sub_nodes_of_a_server_node_exp_status(server_name):
-        xpath = "//div[div[div[span[span[contains(text(),'%s')]]]]]/" \
-                "following-sibling::ul/li/div" % server_name
-        return xpath
+    def schema_node(schema_name):
+        return "//div[@id='tree']//span[text()='%s']" % schema_name
 
     @staticmethod
-    def databases_node_of_a_server_node(server_name):
-        xpath = "//div[div[div[span[span[contains(text(),'%s')]]]]]/" \
-                "following-sibling::ul/li/div/div/div/div/span[2]/span[2 " \
-                "and text()='Databases ']" % server_name
-        return xpath
+    def schema_node_exp_status(schema_name):
+        return "//i[@class='directory-toggle open']/" \
+               "following-sibling::span//span[text()='%s']" % schema_name
 
+    # Tables Node
     @staticmethod
-    def sub_nodes_of_databases_node(server_name):
-        xpath = "//div[div[div[span[span[contains(text(),'%s')]]]]]/" \
-                "following-sibling::ul/li[1]/div/following-sibling::ul/li/" \
-                "div/div/div/div/div/span[2]/span[@class='aciTreeText']" % \
-                server_name
-        return xpath
+    def tables_node(schema_name):
+        return "//div[div[span[span[starts-with(text(),'%s')]]]]/" \
+               "following-sibling::div//span[text()='Tables']" % schema_name
 
     @staticmethod
-    def sub_nodes_of_databases_node_exp_status(server_name):
-        xpath = "//div[div[div[span[span[contains(text(), '%s')]]]]]/" \
-                "following-sibling::ul/li[1]/div/following-sibling::ul/li/" \
-                "div" % server_name
-        return xpath
+    def tables_node_exp_status(schema_name):
+        return "//div[div[span[span[starts-with(text(),'%s')]]]]/" \
+               "following-sibling::div//span[span[text()='Tables']]/" \
+               "preceding-sibling::i[@class='directory-toggle open']"\
+               % schema_name
 
+    # Schema child
     @staticmethod
-    def sub_nodes_of_database_node(database_name):
-        xpath = "//div[div[div[div[div[span[span[contains(text()," \
-                "'%s')]]]]]]]/following-sibling::ul/li/div/div/div/div/div/" \
-                "div/span[2]/span[2]" % database_name
-        return xpath
+    def schema_child_node_exp_status(schema_name, child_node_name):
+        return "//div[div[span[span[starts-with(text(),'%s')]]]]/" \
+               "following-sibling::div//span[span[text()='%s']]/" \
+               "preceding-sibling::i[@class='directory-toggle open']" \
+               % (schema_name, child_node_name)
 
     @staticmethod
-    def sub_nodes_of_database_node_exp_status(database_name):
-        xpath = "//div[div[div[div[div[span[span[contains(text(), " \
-                "'%s')]]]]]]]/following-sibling::ul/li/div" % database_name
-        return xpath
+    def schema_child_node(schema_name, child_node_name):
+        return "//div[div[span[span[starts-with(text(),'%s')]]]]/" \
+               "following-sibling::div//span[text()='%s']" \
+               % (schema_name, child_node_name)
 
+    # Database child
     @staticmethod
-    def sub_nodes_of_schemas_node(database_name):
-        xpath = "//div[div[div[div[div[span[span[text()='%s']]]]]]]/" \
-                "following-sibling::ul/li[" \
-                "@role='presentation']/ul/li/div//div/span/span[" \
-                "@class='aciTreeText']" % database_name
-        return xpath
+    def database_child_node_exp_status(database_name, child_node_name):
+        return "//div[div[span[span[starts-with(text(),'%s')]]]]/" \
+               "following-sibling::div//span[span[text()='%s']]/" \
+               "preceding-sibling::i[@class='directory-toggle open']"\
+               % (database_name, child_node_name)
 
     @staticmethod
-    def sub_nodes_of_schemas_node_exp_status(database_name):
-        xpath = "//div[div[div[div[div[span[span[text()='%s']]]]]]]/" \
-                "following-sibling::ul/li[@role='presentation']/ul/li/div" \
-                % database_name
-        return xpath
+    def database_child_node(database_name, child_node_name):
+        return "//div[div[span[span[starts-with(text(),'%s')]]]]/" \
+               "following-sibling::div//span[text()='%s']" \
+               % (database_name, child_node_name)
 
+    # Server child
     @staticmethod
-    def sub_nodes_of_schema_node(database_name):
-        xpath = "//div[div[div[div[div[span[span[text()='%s']]]]]]]/" \
-                "following-sibling::ul/li[" \
-                "@role='presentation']/ul/li/ul/li/div//div/span[2]/span[2]" \
-                % database_name
-        return xpath
+    def server_child_node_exp_status(server_name, child_node_name):
+        return "//div[div[span[span[starts-with(text(),'%s')]]]]/" \
+               "following-sibling::div//span[span[text()='%s']]/" \
+               "preceding-sibling::i[@class='directory-toggle open']"\
+               % (server_name, child_node_name)
 
     @staticmethod
-    def sub_nodes_of_schema_node_exp_status(database_name):
-        xpath = "//div[div[div[div[div[span[span[text()='%s']]]]]]]/" \
-                "following-sibling::ul/li[@role='presentation']" \
-                "/ul/li/ul/li/div" % database_name
-        return xpath
+    def server_child_node(server_name, child_node_name):
+        return "//div[div[span[span[starts-with(text(),'%s')]]]]/" \
+               "following-sibling::div//span[text()='%s']" \
+               % (server_name, child_node_name)
+
+    # Table Node
+    @staticmethod
+    def table_node(table_name):
+        return "//div[@data-depth='8']/span/span[text()='%s']" % table_name
+
+    # Function Node
+    @staticmethod
+    def function_node(table_name):
+        return "//div[@data-depth='8']/span/span[text()='%s']" % table_name
+
+    # Role Node
+    @staticmethod
+    def role_node(role_name):
+        return "//div[@data-depth='4']/span/span[text()='%s']" % role_name
+
+    # Context element option
+    @staticmethod
+    def context_menu_element(schema_name):
+        return "//li/span[text()='%s']" % schema_name
+
+    # Old xpaths
+    # server_group_sub_nodes_exp_status = \
+    #     "//div[div[span[span[contains(text(),'Servers')]]]]" \
+    #     "/following-sibling::ul/li/div"
+    #
+    # server_group_sub_nodes_connected_status = \
+    #     "//div[div[span[span[contains(text(), 'Servers')]]]]/" \
+    #     "following-sibling::ul/li/div/div/div/span[2]"
+    #
+    # specified_tree_node = \
+    #     "//div[@id='tree']//span[@class='aciTreeItem']/" \
+    #     "span[(@class='aciTreeText') and text()='{}']"
+    #
+    # specified_tree_node_exp_status = \
+    #     "//div[@id='tree']//span[@class='aciTreeItem']/" \
+    #     "span[(@class='aciTreeText') and text()='{}']" \
+    #     "//ancestor::*[@class='aciTreeLine']"
+    #
+    # sub_nodes_of_tables_node = \
+    #     "//div[div[div[div[div[div[div[div[span[span[" \
+    #     "contains(text(),'Tables')]]]]]]]]]]/" \
+    #     "following-sibling::ul/li/div//div/span[2]/span[2]"
+    #
+    # sub_nodes_of_functions_node = \
+    #     "//div[div[div[div[div[div[div[div[span[span[" \
+    #     "contains(text(),'Functions')]]]]]]]]]]/" \
+    #     "following-sibling::ul/li/div//div/span[2]/span[2]"
+    #
+    # sub_nodes_of_login_group_node = \
+    #     "//div[div[div[span[span[contains(text(),'Login/Group Roles')]]]]]" \
+    #     "/following::ul/li/div[@class='aciTreeLine']"
+    #
+    # @staticmethod
+    # def sub_nodes_of_a_server_node(server_name):
+    #     xpath = "//div[div[div[span[span[contains(text(),'%s')]]]]]/" \
+    #             "following-sibling::ul/li/div[@class='aciTreeLine']" % \
+    #             server_name
+    #     return xpath
+    #
+    # @staticmethod
+    # def sub_nodes_of_a_server_node_exp_status(server_name):
+    #     xpath = "//div[div[div[span[span[contains(text(),'%s')]]]]]/" \
+    #             "following-sibling::ul/li/div" % server_name
+    #     return xpath
+    #
+    # @staticmethod
+    # def databases_node_of_a_server_node(server_name):
+    #     xpath = "//div[div[div[span[span[contains(text(),'%s')]]]]]/" \
+    #             "following-sibling::ul/li/div/div/div/div/span[2]/span[2 " \
+    #             "and text()='Databases ']" % server_name
+    #     return xpath
+    #
+    # @staticmethod
+    # def sub_nodes_of_databases_node(server_name):
+    #     xpath = "//div[div[div[span[span[contains(text(),'%s')]]]]]/" \
+    #             "following-sibling::ul/li[1]/div/following-sibling::ul/li/" \
+    #             "div/div/div/div/div/span[2]/span[@class='aciTreeText']" % \
+    #             server_name
+    #     return xpath
+    #
+    # @staticmethod
+    # def sub_nodes_of_databases_node_exp_status(server_name):
+    #     xpath = "//div[div[div[span[span[contains(text(), '%s')]]]]]/" \
+    #             "following-sibling::ul/li[1]/div/following-sibling::ul/li/" \
+    #             "div" % server_name
+    #     return xpath
+    #
+    # @staticmethod
+    # def sub_nodes_of_database_node(database_name):
+    #     xpath = "//div[div[div[div[div[span[span[contains(text()," \
+    #             "'%s')]]]]]]]/following-sibling::" \
+    #             "ul/li/div/div/div/div/div/div/span[2]/span[2]"\
+    #             % database_name
+    #     return xpath
+    #
+    # @staticmethod
+    # def sub_nodes_of_database_node_exp_status(database_name):
+    #     xpath = "//div[div[div[div[div[span[span[contains(text(), " \
+    #             "'%s')]]]]]]]/following-sibling::ul/li/div" % database_name
+    #     return xpath
+    #
+    # @staticmethod
+    # def sub_nodes_of_schemas_node(database_name):
+    #     xpath = "//div[div[div[div[div[span[span[text()='%s']]]]]]]/" \
+    #             "following-sibling::ul/li[" \
+    #             "@role='presentation']/ul/li/div//div/span/span[" \
+    #             "@class='aciTreeText']" % database_name
+    #     return xpath
+    #
+    # @staticmethod
+    # def sub_nodes_of_schemas_node_exp_status(database_name):
+    #     xpath = "//div[div[div[div[div[span[span[text()='%s']]]]]]]/" \
+    #             "following-sibling::ul/li[@role='presentation']/ul/li/div" \
+    #             % database_name
+    #     return xpath
+    #
+    # @staticmethod
+    # def sub_nodes_of_schema_node(database_name):
+    #     xpath = "//div[div[div[div[div[span[span[text()='%s']]]]]]]/" \
+    #             "following-sibling::ul/li[@role='presentation']" \
+    #             "/ul/li/ul/li/div//div/span[2]/span[2]" % database_name
+    #     return xpath
+    #
+    # @staticmethod
+    # def sub_nodes_of_schema_node_exp_status(database_name):
+    #     xpath = "//div[div[div[div[div[span[span[text()='%s']]]]]]]/" \
+    #             "following-sibling::ul/li[@role='presentation']" \
+    #             "/ul/li/ul/li/div" % database_name
+    #     return xpath
diff --git a/web/regression/python_test_utils/test_utils.py b/web/regression/python_test_utils/test_utils.py
index 85963296f..10397e122 100644
--- a/web/regression/python_test_utils/test_utils.py
+++ b/web/regression/python_test_utils/test_utils.py
@@ -422,6 +422,32 @@ def does_function_exist(server, db_name, fun_name):
     return str(result[0][0])
 
 
+def grant_role(server, db_name, role_name="test_role",
+               grant_role="<h1>test</h1>"):
+    try:
+        connection = get_db_connection(
+            db_name,
+            server['username'],
+            server['db_password'],
+            server['host'],
+            server['port'],
+            server['sslmode']
+        )
+        old_isolation_level = connection.isolation_level
+        connection.set_isolation_level(0)
+        pg_cursor = connection.cursor()
+        sql_query = '''GRANT "%s" TO %s;''' % (grant_role, role_name)
+
+        pg_cursor.execute(
+            sql_query
+        )
+        connection.set_isolation_level(old_isolation_level)
+        connection.commit()
+
+    except Exception:
+        traceback.print_exc(file=sys.stderr)
+
+
 def create_role(server, db_name, role_name="test_role"):
     try:
         connection = get_db_connection(
diff --git a/web/regression/runtests.py b/web/regression/runtests.py
index 7503f7c63..7bc2ca4d5 100644
--- a/web/regression/runtests.py
+++ b/web/regression/runtests.py
@@ -295,9 +295,9 @@ def setup_webdriver_specification(arguments):
             options.add_argument("--headless")
         options.add_argument("--no-sandbox")
         options.add_argument("--disable-setuid-sandbox")
-        options.add_argument("--window-size=1280,1024")
+        options.add_argument("--window-size=1790,1080")
         options.add_argument("--disable-infobars")
-        options.add_experimental_option('w3c', False)
+        # options.add_experimental_option('w3c', False)
         driver_local = webdriver.Chrome(chrome_options=options)
 
     # maximize browser window
